package app

import (
	"log"
)

const AppName = "identity-service"

func Panic(v ...any) {
	log.Panicln(AppName+":", v)
}

func Panicf(format string, v ...any) {
	log.Panicf(AppName+": "+format, v...)
}

func Panicln(v ...any) {
	v = append([]any{AppName + ":"}, v...)
	log.Panicln(v...)
}
